Skip to main content
GET
/
pension-information
/
{employeeId}
cURL
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v2/pension/pension-information/{employeeId}
{
  "content": {
    "data": {
      "pension": {
        "organisationId": "<string>",
        "employeeId": "<string>",
        "pensionGroupId": "<string>",
        "enrolmentDate": "2023-12-25",
        "pensionGroup": {
          "id": "<string>",
          "organisationId": "<string>",
          "pensionSchemaId": "<string>",
          "name": "<string>",
          "isDefault": true,
          "basis": "<string>",
          "employeeFactor": 123,
          "employerFactor": 123,
          "nationalInsuranceSavingsFactor": 123,
          "createdBy": "<string>",
          "createdDate": "2023-11-07T05:31:56Z",
          "updatedBy": "<string>",
          "updatedDate": "2023-11-07T05:31:56Z",
          "isSalarySacrifice": true
        },
        "isAutoEnrolled": true,
        "autoEnrolmentPensionGroup": {
          "id": "<string>",
          "organisationId": "<string>",
          "pensionSchemaId": "<string>",
          "name": "<string>",
          "isDefault": true,
          "basis": "<string>",
          "employeeFactor": 123,
          "employerFactor": 123,
          "nationalInsuranceSavingsFactor": 123,
          "createdBy": "<string>",
          "createdDate": "2023-11-07T05:31:56Z",
          "updatedBy": "<string>",
          "updatedDate": "2023-11-07T05:31:56Z",
          "isSalarySacrifice": true
        },
        "manualEnrolmentPensionGroup": {
          "id": "<string>",
          "organisationId": "<string>",
          "pensionSchemaId": "<string>",
          "name": "<string>",
          "isDefault": true,
          "basis": "<string>",
          "employeeFactor": 123,
          "employerFactor": 123,
          "nationalInsuranceSavingsFactor": 123,
          "createdBy": "<string>",
          "createdDate": "2023-11-07T05:31:56Z",
          "updatedBy": "<string>",
          "updatedDate": "2023-11-07T05:31:56Z",
          "isSalarySacrifice": true
        },
        "enrolmentType": "<string>"
      },
      "autoEnrolmentDetermination": {
        "determinationDate": "2023-12-25",
        "revisionNumber": 123,
        "assessmentResult": "<string>",
        "enrolmentType": "<string>",
        "isComplete": true,
        "isManualEnrolled": true,
        "optOutDate": "2023-12-25",
        "postponement": {
          "startDate": "2023-12-25",
          "endDate": "2023-12-25",
          "postponementType": "<string>"
        }
      },
      "postponement": {
        "organisationId": "<string>",
        "employeeId": "<string>",
        "startDateDefinition": {
          "value": 123,
          "frequency": "<string>"
        },
        "eligibilityDateDefinition": {
          "value": 123,
          "frequency": "<string>"
        }
      }
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

employeeId
string
required

Response

200 - application/json

OK

content
object
metadata
object
errors
object[] | null
message
object